unit unMail;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, FileReader;

type
  TfrmMain = class(TForm)
    FileReader: TFileReader;
    Button1: TButton;
    OpenDialog: TOpenDialog;
    Grid: TStringGrid;
    procedure Button1Click(Sender: TObject);
    procedure FileReaderReadLine(Sender: TObject; Number: Integer;
      var Line: String);
    procedure FileReaderReadField(Sender: TObject; Line, Field: Integer;
      Value: String);
  private
  public
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.Button1Click(Sender: TObject);
begin
  if OpenDialog.Execute Then
  begin
    case OpenDialog.FilterIndex of
      1: begin
           FileReader.Separator := #9;
           FileReader.Quote     := '"';
         end;
      2: begin
           FileReader.Separator := ';';
           FileReader.Quote     := '"';
         end;
    end;
    Grid.RowCount := 1;
    FileReader.ReadFile( OpenDialog.FileName );
  end;

end;

procedure TfrmMain.FileReaderReadLine(Sender: TObject; Number: Integer; var Line: String);
begin
  Grid.RowCount := Number;
  Grid.Cells[0, Number-1] := IntToStr(Number);
end;

procedure TfrmMain.FileReaderReadField(Sender: TObject; Line, Field: Integer; Value: String);
begin
  if Field+2 > Grid.ColCount Then
    Grid.ColCount := Field + 2;

  Grid.Cells[Field+1, Line-1] := Value;
end;

end.
